rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
manifest.c File Reference
RPMCLI.
`#include "system.h"`
`#include <rpmio_internal.h>`
`#include <rpmlog.h>`
`#include <rpmmacro.h>`
`#include <rpmtypes.h>`
`#include "manifest.h"`
`#include "debug.h"`
Include dependency graph for manifest.c:

Go to the source code of this file.

## Macros
#define | DOCTYPE_HTML_PUBLIC "<!DOCTYPE HTML PUBLIC"

## Functions
char * | rpmPermsString (int mode)
| Return ls(1)-like formatted mode string. More...
rpmRC | rpmReadPackageManifest (FD_t fd, int *argcPtr, const char ***argvPtr)
| Read manifest, glob items, and append to existing args. More...

## Macro Definition Documentation

#define DOCTYPE_HTML_PUBLIC "<!DOCTYPE HTML PUBLIC"

Referenced by rpmReadPackageManifest().

## Function Documentation

char* rpmPermsString | ( | int | mode | ) |

Return ls(1)-like formatted mode string.

Parameters

  mode | file mode

Returns
  (malloc'd) formatted mode string

Definition at line 15 of file manifest.c.

References S_ISLNK, S_ISSOCK, and xstrdup().

Referenced by permsFormat(), and printFileInfo().

rpmRC rpmReadPackageManifest | ( | FD_t | fd,
|  | int * | argcPtr,
|  | const char *** | argvPtr
| ) |  |

Read manifest, glob items, and append to existing args.

Todo:
  Infinite loops through manifest files exist, operator error for now.

Definition at line 63 of file manifest.c.

References _, _free(), D_, DOCTYPE_HTML_PUBLIC, fdGetFp(), fdGetOPath(), Fdopen(), Ferror(), Fstrerror(), rpmGlob(), rpmiobAppend(), rpmiobFree(), rpmiobNew(), rpmiobStr(), rpmlog(), RPMLOG_DEBUG, RPMLOG_ERR, RPMRC_FAIL, RPMRC_NOTFOUND, RPMRC_OK, and xcalloc().

Referenced by rpmgiLoadManifest().